Bug 465344 - lucene-contrib/lucene-lucli.jar manifest problems
lucene-contrib/lucene-lucli.jar manifest problems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lucene (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 16:54 EDT by Jerry James
Modified: 2009-04-30 15:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 15:08:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2008-10-02 16:54:55 EDT
Description of problem:
META-INF/MANIFEST.MF in /usr/share/java/lucene-contrib/lucene-lucli.jar contains this line:

Class-Path: lib/jline.jar lib/lucene.jar

Both elements are wrong.  They both exist, but in the parent directory (..), not in the non-existent lib subdirectory.  Also note that the Implementation-Version line in the manifest contains an unexpanded variable.  It says:

Implementation-Version: 2.3.0 ${svnversion} - mockbuild - 2008-02-20 1
 1:15:45

Version-Release number of selected component (if applicable):
lucene-contrib-2.3.0-1jpp.0.fc9.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Create a java file Junk.java with any compilable contents
2. javac -Xlint -cp /usr/share/java/lucene-contrib/lucene-lucli.jar Junk.java
  
Actual results:
warning: [path] bad path element "/usr/share/java/lucene-contrib/lib/jline.jar": no such file or directory
warning: [path] bad path element "/usr/share/java/lucene-contrib/lib/lucene.jar": no such file or directory
2 warnings

Expected results:
No warnings.

Additional info:
Comment 1 Jerry James 2009-04-30 11:21:26 EDT
This problem still exists in today's Rawhide.  Would you please fix it for F-11?  The Class-Path line should read:

Class-Path: ../jline.jar ../lucene.jar

In addition, if jline.jar is really needed, then this package should Require jline, but doesn't.  Note that the unexpanded variable in the Implementation-Version tag is still present in Rawhide as well.
Comment 2 Deepak Bhole 2009-04-30 14:09:12 EDT
Actually, there shouldn't be a Class-Path element in that jar. We remove those from the manifest for packages in Fedora. If something has it, it is in error. I am going to remove that element from any lucene jars that have it. I will also fix the version.
Comment 3 Deepak Bhole 2009-04-30 15:08:04 EDT
Thanks for reporting.

I have fixed it in devel/ and F-11/:

Class-Path entry has been removed, and the Implementation-Version is now fixed.

Note You need to log in before you can comment on or make changes to this bug.